package com.qmth.teachcloud.mark.service;

import java.util.List;

import javax.validation.constraints.NotNull;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.mark.entity.ScanStudentPaper;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface ScanStudentPaperService extends IService<ScanStudentPaper> {

    List<ScanStudentPaper> findByStudentId(Long studentId);

    ScanStudentPaper findByPaperId(Long paperId);

    int removeByStudentId(@NotNull Long studentId);

    void removeByStudentIdAndPaperId(@NotNull Long studentId, @NotNull Long paperId);

    ScanStudentPaper findByStudentIdAndPaperNumber(Long studentId, Integer number);

    List<ScanStudentPaper> findByPaperIds(List<Long> paperIds);

}
